Audit Logs
GET/partner/logs/audit_logs
Retrieve audit logs with pagination and filtering options.
Request
Responses
- 200
- 400
- 401
- 500
200Success
Response 200
{
"message": {
"key": "RES000000",
"value": "success"
},
"data": {
"data": [
{
"IDX": "1",
"PARTNER_IDX": "DEMO-PTR-00001",
"REQUEST_ID": "dbc4af7297dec72af9cbce23cf27e302",
"METHOD": "get",
"ENDPOINT": "/partner/logs/audit_logs",
"REQUEST_PARAMS": "{\"page\": \"1\", \"per_page\": \"10\"}",
"REQUEST_BODY": "[]",
"RESPONSE_CODE": "200",
"CLIENT_IP": "203.0.113.50",
"USER_AGENT": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36",
"EXECUTION_TIME": "0.0000",
"STATUS": "success",
"ERROR_MESSAGE": null,
"CREATED_AT": "2026-03-25 10:21:18"
}
],
"pagination": {
"page": 1,
"per_page": 10,
"total": 3,
"total_pages": 1
}
}
}
Schema Details
| Field | Type | Description |
|---|---|---|
message | object | |
data | object |
400Bad Request
Response 400
{
"message": {
"key": "RES000002",
"value": "Bad Request"
}
}
Schema Details
| Field | Type | Description |
|---|---|---|
message | object |
401Unauthorized
Response 401
{
"message": {
"key": "RES000033",
"value": "Unauthorized"
}
}
Schema Details
| Field | Type | Description |
|---|---|---|
message | object |
500Internal server error
Response 500
{
"message": {
"key": "RES000029",
"value": "An internal server error has occurred."
}
}
Schema Details
| Field | Type | Description |
|---|---|---|
message | object |